<!--
SPDX-License-Identifier: CC-BY-SA-4.0
-->

# Welcome to the PlanktoScope build and use documentation

![PlanktoScope](images/readme/planktoscope_cad.webp)

You can find here more information about how to build your own PlanktoScope.

## Setup

- [How to setup your PlanktoScope the easy way](easy_install.md)
- [How to setup your PlanktoScope the hard way (also known as the Expert's path)](expert_setup.md)
- [Some information about how to setup a remote access](remote_access.md)

## Build your machine

- [Assembly Guide](images/assembly_guide.md)

## Usage

- [Information about collection devices](collection_devices.md)

## Under the hood

- [Software architecture](software_architecture.md)
- [MQTT Messages](mqtt_messages.md)
- [Create Master SD Card or backup your PlanktoScope](create_sd.md)
- How does the segmentation works (soon)

## Changelog

- [Changelog](changelog.md)

## Contribute

- [Find out how to contribute to this documentation and help edit it](edit_this_doc.md)
- [Contribute to the code, here is the getting started](edit_the_code.md)

## License of our work

- [More information about the licenses that we use](license.md)
